# name-kbd-macro(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

name-kbd-macro - Assign a name to the last keyboard macro

## SYNOPSIS

name-kbd-macro "command"

## DESCRIPTION

name-kbd-macro labels the last defined keyboard macro with the given command name. The command name must be either unique or the name of an existing macro. A keyboard macro is deleted when another keyboard macro is defined, but when named, it is preserved. A named keyboard macro can also be bound to its own command key sequence, and may be inserted into a buffer enabling it to be saved and thus re-loaded and re-used at a later date.

## SEE ALSO

execute-file(2), execute-kbd-macro(2), global-bind-key(2), insert-macro(2), start-kbd-macro(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>